#include "ThreadHelper.h"
#include "ClientAdapterProxy.h"

namespace NS_DM_Client
{
	const int S_maxWait = 1000000; // milliseconds

	ResponseReceiverThread::ResponseReceiverThread(ClientAdapterProxy& clientAdapter): m_clientAdapter(clientAdapter)
	{
	}
	//-------------------------------------------------------------------------------------------

	void ResponseReceiverThread::run()
	{
		while (!m_clientAdapter.m_stopRunning)
			m_clientAdapter.receiveResponse();
	}
	//-------------------------------------------------------------------------------------------
}